bifunctors-5.1: Bifunctors

Copyright | (C) 2008-2015 Edward Kmett
License | BSD-style (see the file LICENSE)
Maintainer | Edward Kmett <ekmett@gmail.com>
Stability | provisional
Portability | non-portable
Safe Haskell | Safe
Language | Haskell98

Data.Bifunctor.Join

Description

Synopsis

- newtype Join p a = Join {
  - runJoin :: p a a
  }

# Documentation

newtype Join p a Source

Make a `Functor` over both arguments of a `Bifunctor`.

Constructors

Join |

Fields

runJoin :: p a a

Instances

Bifunctor p => Functor (Join p) Source |
Biapplicative p => Applicative (Join p) Source |
Bifoldable p => Foldable (Join p) Source |
Bitraversable p => Traversable (Join p) Source |
Eq (p a a) => Eq (Join p a) Source |
Ord (p a a) => Ord (Join p a) Source |
Read (p a a) => Read (Join p a) Source |
Show (p a a) => Show (Join p a) Source |